Bug 648355 - [RFE] Support Devanagari Extended
[RFE] Support Devanagari Extended
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lohit-devanagari-fonts (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: FutureFeature, i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-01 01:20 EDT by Ujjwol
Modified: 2012-04-02 19:26 EDT (History)
5 users (show)

See Also:
Fixed In Version: lohit-devanagari-fonts-2.5.1-2.fc16
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-09 21:11:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ujjwol 2010-11-01 01:20:34 EDT
Description of problem:
The newer unicode adds the newer block like Devangari Extended and Vedic Extensions. This is an feature request to support those unicode blocks by Lohit Devangari. This will make Lohit Devangari the first opentype font to support those blocks. And makes Lohit Devangari the first Vedic Font. ;)

This is in great need for people who want to encode the great Indian history of Vedas and Vedic Literature.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Devanagari Extended: http://www.unicode.org/charts/PDF/U1CD0.pdf
Vedic Extensions: http://www.unicode.org/charts/PDF/UA8E0.pdf
Comment 1 A S Alam 2010-11-01 02:02:21 EDT
lohit-devanagari-fonts-2.4.3-7.fc15.noarch.rpm
Comment 2 Pravin Satpute 2010-11-01 02:35:11 EDT
Yeah, I do agree.
It is in my plan list, volunteers are welcome for this feature.
Comment 3 Ujjwol 2010-11-01 02:41:35 EDT
Oh... I would volunteer but I don't know how stuffs work for font development. If you could make some tutorial and examples, I would surely volunteer.
Comment 4 Pravin Satpute 2011-02-16 23:00:35 EST
tutorials available here http://fontforge.sourceforge.net/editexample.html
mostly used already designed shape and edit it for new glyphs/characters it keep consistency across shapes
Comment 5 Pravin Satpute 2012-03-01 05:25:07 EST
we do have another bug for Vedic extentions #798871
Comment 6 Fedora Update System 2012-03-01 05:51:07 EST
lohit-devanagari-fonts-2.5.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lohit-devanagari-fonts-2.5.1-2.fc17
Comment 7 Fedora Update System 2012-03-01 05:52:41 EST
lohit-devanagari-fonts-2.5.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lohit-devanagari-fonts-2.5.1-2.fc16
Comment 8 Fedora Update System 2012-03-01 19:58:13 EST
Package lohit-devanagari-fonts-2.5.1-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lohit-devanagari-fonts-2.5.1-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2795/lohit-devanagari-fonts-2.5.1-2.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-03-09 21:11:17 EST
lohit-devanagari-fonts-2.5.1-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-04-02 19:26:33 EDT
lohit-devanagari-fonts-2.5.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.